
change_data = false;
name_file = 'simulated_y.mat';



if change_data | (~exist(name_file))
   % initialise
   % Declare the true parameters of the model
   phi_true=.8;
   tau_true=sqrt(1);
   sigma_true= sqrt(.2);

   %theta =[phi, tau^2, sigma^2];
   thetaInit=[.8,1,.2]';
   % % Generate true model and data. 
   X=0;
   Y0=X+sigma_true*randn;
   % Generate obs for time 1:t_end
   for i=1:(iter+1)
       X=phi_true*X+tau_true*randn;
       YY(i)=X+sigma_true*randn;
   end

   save(name_file,'Y0','YY','X','phi_true','tau_true','sigma_true','thetaInit')
else
   load(name_file,'Y0','YY','X','phi_true','tau_true','sigma_true','thetaInit')
end