% GetsData for Dlm long
% True parameters and true initial state for generating observations
sigma=sqrt(1);
tau=sqrt(1);

change_data = false;
name_file =  'simulated_y_dlm_new_long.mat';

if change_data | (~exist(name_file))
    T = 50000; % Number of time steps
    x0 = 0;              
    % GENERATE TRUE STATE AND MEASUREMENTS% Generate data record
    x=tau*randn(1,T);
    x(1)= x(1) + x0;
    x=cumsum(x);
    y=x+sigma*randn(1,T);


    save(name_file,'y','x','T')
else
    load(name_file,'y')
end
